package cpcns.dingZhi.ZTree.controller;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import cpcns.dangAnBase.base.controller.DangAnBaseController;
import cpcns.dingZhi.ZTree.model.ZTreeNode;
import cpcns.dingZhi.ZTree.service.IZTreeService;
import java.util.ArrayList;
import java.util.List;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import net.sf.json.JSONArray;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
@RequestMapping({"/ztreeController"})
public class ZTreeController extends DangAnBaseController {
  @Autowired
  private IZTreeService zTreeServiceImpl;
  
  @RequestMapping({"/toAdd.do"})
  public String toAdd(HttpServletRequest request, HttpServletResponse response, Model model) {
    String server = request.getParameter("server");
    String pid = request.getParameter("pid");
    String type = request.getParameter("type");
    String roothbs = request.getParameter("roothbs");
    request.setAttribute("pid", pid);
    request.setAttribute("server", server);
    request.setAttribute("type", type);
    request.setAttribute("roothbs", roothbs);
    return "ztree/ztree";
  }
  
  @RequestMapping({"/toplayUpZtree.do"})
  public String toplayUpZtree(HttpServletRequest request, HttpServletResponse response, Model model) {
    String server = request.getParameter("server");
    String pid = request.getParameter("pid");
    String type = request.getParameter("type");
    String roothbs = request.getParameter("roothbs");
    request.setAttribute("pid", pid);
    request.setAttribute("server", server);
    request.setAttribute("type", type);
    request.setAttribute("roothbs", roothbs);
    return "ztree/playUpZtree";
  }
  
  @RequestMapping({"/getNodes.do"})
  @ResponseBody
  public String getZTreeNodes(HttpServletRequest request, HttpServletResponse response) {
    List<ZTreeNode> list = new ArrayList<>();
    String server = request.getParameter("server");
    String pid = request.getParameter("pid");
    String roothbs = request.getParameter("roothbs");
    list = this.zTreeServiceImpl.getZTreeNodes(request);
    JSONArray resultJson = JSONArray.fromObject(list);
    String str = resultJson.toString().replaceAll("parent", "isParent");
    return str;
  }
  
  @RequestMapping({"/asyncGetNodes.do"})
  @ResponseBody
  public String asyncGetNodes(HttpServletRequest request, String id, String pid, String layer, String objCode) throws Exception {
    String type = request.getParameter("type");
    List<ZTreeNode> list = new ArrayList<>();
    list = this.zTreeServiceImpl.asyncGetNodes(id, pid, layer, objCode, type);
    JSONArray resultJson = JSONArray.fromObject(list);
    String str = resultJson.toString().replaceAll("parent", "isParent");
    return str;
  }
}
